(*
 This is the signature of the type-checker and evaluator that can be
 implemented by the user. Modify this if you want another interface.

 author: Christian Mueller
*)

local
   open AbstractSyntax LCSupport Info Support
in

exception UserError of string
exception UserErrorWInfo of info * (mixture list)

val eval  : Exp -> Exp
val check : Exp -> Exp

end
